org.gjt.sp.util

## Class IntegerArray

- java.lang.Object
- - org.gjt.sp.util.IntegerArray

    public class IntegerArray
    extends java.lang.Object

A simple collection that stores integers and grows automatically.

### Constructor Summary

Constructors
Constructor and Description
`IntegerArray()`
`IntegerArray(int initialSize)`

### Method Summary

Methods
`void` `add(int num)`
`void` `clear()`
`int` `get(int index)`
`int[]` `getArray()`
`int` `getSize()`
`void` `setSize(int len)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntegerArray

    public IntegerArray()

#### IntegerArray

    public IntegerArray(int initialSize)

### Method Detail

#### add

    public void add(int num)

#### get

    public final int get(int index)

#### getSize

    public final int getSize()

#### setSize

    public final void setSize(int len)

#### clear

    public final void clear()

#### getArray

    public int[] getArray()